[Launch]
ProgramExecutable="FastScreenRecorder\Start.exe"
WorkingDirectory=%PAL:AppDir%\FastScreenRecorder
SingleAppInstance=true
WaitForProgram=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\FastPCTools\FastScreenRecorder\AutoUpdate=REG_SZ:False


[RegistryKeys]
FastScreenRecorder="HKCU\Software\FastPCTools\FastScreenRecorder"
-=HKCU\Software\Microsoft\Internet Explorer\DOMStorage
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication
-=HKCU\Software\Microsoft\IntelliPoint\AppSpecific\FastScreenRecorder.exe
-=HKCU\Software\Microsoft\IntelliType Pro\AppSpecific\FastScreenRecorder.exe

[RegistryCleanupForce]
1=HKLM\SOFTWARE\Microsoft\Tracing\FastScreenRecorder_RASAPI32
2=HKLM\SOFTWARE\Microsoft\Tracing\FastScreenRecorder_RASMANCS

[RegistryCleanupIfEmpty]
1=HKCU\SOFTWARE\FastPCTools

[DirectoriesMove]
FastScreenRecorder=%LOCALAPPDATA%\FastScreenRecorder

[DirectoriesCleanupIfEmpty]
1=%USERPROFILE%\Videos\FastScreenRecorder

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\FastScreenRecorder.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\FastScreenRecorder.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\FastScreenRecorder.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\